Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils.synthetic.reflection
Interface Member

All Known Implementing Classes:
  Constructor, EntryPoint, Field, Method

public interface Member

Member is an interface that reflects identifying information about a single member (a field or a method) or a constructor.

Note that this is not currently derived from java.lang.reflect.Member, due to questions about how to handle declarignClass.

See Also:
  `Class`
Usage:
  **For internal use only**

Method Summary
`Class` | `getDeclaringClass()` Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.
`int` | `getModifiers()` Returns the Java language modifiers for the member or constructor represented by this Member, as an integer.
`void` | `setDeclaringClass(Class declaringClass)` Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.
`void` | `setModifiers(int modifiers)` Returns the Java language modifiers for the member or constructor represented by this Member, as an integer.

Method Detail

### getDeclaringClass

    public Class getDeclaringClass()

  Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.

### getModifiers

    public int getModifiers()

  Returns the Java language modifiers for the member or constructor represented by this Member, as an integer. The Modifier class should be used to decode the modifiers in the integer.

### setDeclaringClass

    public void setDeclaringClass(Class declaringClass)
                           throws SynthesisException

  Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.

  Parameters:
    `declaringClass` -
  Throws:
    `SynthesisException`

### setModifiers

    public void setModifiers(int modifiers)
                      throws SynthesisException

  Returns the Java language modifiers for the member or constructor represented by this Member, as an integer. The Modifier class should be used to decode the modifiers in the integer.

  Parameters:
    `modifiers` -
  Throws:
    `SynthesisException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.